Ontology

Create a concept

POST
/api/v1/ontology/concepts

Authorization

bearerAuth
AuthorizationBearer <token>

Console session token (Authorization: Bearer <session>) or product API key (Authorization: Bearer <api-key> or x-api-key). Session tokens are validated via Better Auth get-session; API keys against the shared database.

In: header

Header Parameters

authorization?string|null
x-api-key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/ontology/concepts" \  -H "Content-Type: application/json" \  -d '{    "workspace_id": 0,    "concept_type_id": "string",    "label": "string"  }'
{  "id": "string",  "workspace_id": 0,  "concept_type_id": "string",  "label": "string",  "attributes": {},  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}